curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "dropdown",
"text": "Seed"
}
'{
"type": "dropdown",
"id": 4,
"text": "Seed"
}Lists
Create a dropdown option for a List Field
Create a dropdown option for a List Field.
POST
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "dropdown",
"text": "Seed"
}
'{
"type": "dropdown",
"id": 4,
"text": "Seed"
}Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
List ID
Required range:
1 <= x <= 9007199254740991Field ID
Example:
"field-1234"
Body
application/json
Response
Created
- dropdownOptions.DropdownOption
- dropdownOptions.RankedDropdownOption
- dropdownOptions.StatusDropdownOption
Was this page helpful?